Skip to content
First requestVisit website ↗
Navigation

Create a new contact without requiring a phone number

POST
https://api.channelautomation.com/api/contacts/no-phone

Authorization

  • ApiKeyAuth
    optional
    API key in header
  • BearerAuth
    optional
    HTTP Bearer (JWT)

Request body JSON required

  • workspace_id
    string
    required

    Workspace ID the contact belongs to

    format: uuid
  • firstname
    optional
    string

    Contact's first name

  • lastname
    optional
    string

    Contact's last name

  • name
    optional
    string

    Full display name (if not provided, will be generated from firstname and lastname)

  • phone_number
    optional
    string

    Optional phone number (will be checked for duplicates if provided). If not provided, a placeholder will be automatically generated in the format NOPHONE-{timestamp}-{random}

  • email
    optional
    string

    Contact's email address

    format: email
  • lead_status
    optional
    string

    Current lead status

  • lead_source
    optional
    string

    Source of the lead

  • product
    optional
    string

    Product or service of interest

  • address
    optional
    string

    Street address (mapped to st_address in database)

  • city
    optional
    string

    City

  • state
    optional
    string

    State or province

  • zip
    optional
    string

    ZIP or postal code

  • notes
    optional
    string

    Additional notes about the contact

  • tags
    optional
    array of
    string

    Array of tags to associate with the contact

  • priority
    optional
    low
    or
    medium
    or
    high

    Priority level for the contact

  • opt_in_through
    optional
    string

    How the contact opted in

    default: "api"

Returns

201

Contact created successfully

JSON
  • success
    optional
    boolean
  • data
    optional
    object
    • firstName
      string
      required

      The contact's first name

    • phone
      string
      required

      The contact's phone number

    • workspaceId
      string
      required

      The workspace ID this contact belongs to

    • id
      optional
      string

      The auto-generated ID of the contact

    • workspace_id
      optional
      string

      Workspace ID

    • firstname
      optional
      string

      Contact's first name

    • lastname
      optional
      string

      Contact's last name

    • name
      optional
      string

      Full name (auto-generated from firstname + lastname)

    • phone_number
      optional
      string

      Contact's phone number in E.164 format

    • email
      optional
      string

      The contact's email

      format: email
    • lead_status
      optional
      string

      Current lead status

    • lead_source
      optional
      string

      Source of the lead

    • product
      optional
      string

      Product of interest

    • address
      optional
      string

      Street address

    • city
      optional
      string

      City

    • state
      optional
      string

      State or province

    • zip
      optional
      string

      ZIP or postal code

    • notes
      optional
      string

      Additional notes about the contact

    • tags
      optional
      array of
      string

      Array of tags associated with contact

    • priority
      optional
      low
      or
      medium
      or
      high
      or
      urgent

      Contact priority level

    • opt_in_through
      optional
      string

      How contact opted in for communications

    • conversation_status
      optional
      string

      Current conversation status

    • last_message_at
      optional
      string

      Timestamp of last message

      format: date-time
    • created_at
      optional
      string

      The date the contact was created

      format: date-time
    • updated_at
      optional
      string

      The date the contact was last updated

      format: date-time
    • follow_up_date
      optional
      string

      Follow-up date

      format: date
    • webhook_name
      optional
      string

      Name of webhook that created this contact

    • lastName
      optional
      string

      The contact's last name

    • status
      optional
      string

      The contact's status

400

Invalid request - missing required fields

409

Conflict - contact with phone number already exists

500

Server error

Type to search…

↑↓ navigate↵ selectEsc close